Package ghidra.features.bsim.gui.overview

# Class BSimOverviewProvider

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter
ghidra.features.bsim.gui.overview.BSimOverviewProvider

All Implemented Interfaces:
  `ActionContextProvider`, `HelpDescriptor`

public class BSimOverviewProvider extends ComponentProviderAdapter
ComponentProvider to display the results of a BSim Overview query

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BSimOverviewProvider(BSimSearchPlugin plugin, BSimServerInfo serverInfo, Program program, LSHVectorFactory vFactory, BSimSearchSettings settings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden()`
  Notifies the provider that the component is being hidden.
  `final boolean`
  `equals(Object obj)`
  `ActionContext`
  `getActionContext(MouseEvent event)`
  Returns the context object which corresponds to the area of focus within this provider's component.
  `JComponent`
  `getComponent()`
  Returns the component to be displayed
  `Program`
  `getProgram()`
  `final int`
  `hashCode()`
  `void`
  `overviewResultAdded(ResponseNearestVector result)`
  `void`
  `setFinalOverviewResults(ResponseNearestVector result)`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `getTool`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentMadeDisplayable, componentShown, contextChanged, createContext, createContext, createContext, getBaseIcon, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getLocalActions, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isShowing, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setCustomSubTitle, setCustomTabText, setCustomTitle, setDefaultFocusComponent, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BSimOverviewProvider

    public BSimOverviewProvider(BSimSearchPlugin plugin, BSimServerInfo serverInfo, Program program, LSHVectorFactory vFactory, BSimSearchSettings settings)

- ## Method Details

  - ### getProgram

    public Program getProgram()

  - ### getComponent

    public JComponent getComponent()
    Description copied from class: `ComponentProvider`
    Returns the component to be displayed
    Specified by:
      `getComponent` in class `ComponentProvider`
    Returns:
      the component to be displayed

  - ### overviewResultAdded

    public void overviewResultAdded(ResponseNearestVector result)

  - ### setFinalOverviewResults

    public void setFinalOverviewResults(ResponseNearestVector result)

  - ### componentHidden

    public void componentHidden()
    Description copied from class: `ComponentProvider`
    Notifies the provider that the component is being hidden. This happens when the provider is being closed.
    Overrides:
      `componentHidden` in class `ComponentProvider`

  - ### getActionContext

    public ActionContext getActionContext(MouseEvent event)
    Description copied from class: `ComponentProvider`
    Returns the context object which corresponds to the area of focus within this provider's component. Null is returned when there is no context.
    Specified by:
      `getActionContext` in interface `ActionContextProvider`
    Overrides:
      `getActionContext` in class `ComponentProvider`
    Parameters:
      `event` - popup event which corresponds to this request. May be null for key-stroke or other non-mouse event.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ComponentProvider`

  - ### hashCode

    public final int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public final boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`